List all list prices
List all list prices
Documentation Index
Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
Use this file to discover all available pages before exploring further.
Headers
Your API credentials. Eg. Basic {credentials}.
Use this header to select an API version
2024-07-30 Query Parameters
Filter by currency.
Filter list prices by a given product ID.
Filter by billing frequency.
Include archived list prices in results
Maximum number of objects to return per-page. Must be between 1 and 100 (inclusive).
Pagination offset. To page through items, omit this parameter to retrieve the first page, and then successively use the value you get from pagination.after or pagination.before to retrieve each page.
Pagination offset. To page through items, omit this parameter to retrieve the first page, and then successively use the value you get from pagination.next or pagination.previous to retrieve each page.
Response
OK
List prices
[
{
"id": "b4d7e884-e007-4183-8355-4771865c5100",
"productId": "f409d651-c475-4142-aafd-a5d2bd74d4f9",
"name": "Sample product",
"currency": "GBP",
"structure": {
"tiers": [
{
"upperBound": "200",
"price": "1.00",
"fee": "50.00",
"isPricePercentage": false
},
{
"upperBound": "400",
"price": "0.75",
"fee": "25.00",
"isPricePercentage": false
},
{
"price": "0.50",
"fee": "0.00",
"isPricePercentage": false
}
],
"usageMetricId": "04c62961-04ba-48e6-b985-758bb7d3e712",
"usageCalculationMode": "BILLING_PERIOD",
"pricingType": "GRADUATED"
},
"billingFrequency": "MONTHLY",
"usageCalculationPeriod": { "frequency": "QUARTERLY", "interval": 1 },
"billingType": "IN_ARREARS",
"createdAt": "2021-08-25T12:00:00Z",
"updatedAt": "2021-08-25T12:00:00Z",
"integrationIds": [
{
"service": "Xero",
"id": "123",
"isPending": false
}
],
"customMetricParameters": [
{
"parameterId": "2963e49a-c8e0-4673-89f5-7a805c0faf14",
"value": "10"
}
]
}
]Results pagination
{
"after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
"before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
"totalResultSize": 10
}